Access Checks API (1.0.0)
Download OpenAPI specification:Download
This documentation is designed to provide assistance to Access Checks customers wishing to integrate with our API
The API allows you to submit and retrieve different check results.
This page sets out a high level overview of the integration that can be created between 3rd party applications & Access Checks.
Generate Token
Request Body schema: application/jsonrequired
The Request Body
| grant_type | string |
| client_id | string <uuid> |
| client_secret | string |
Responses
Request samples
- Payload
{- "grant_type": "client_credentials",
- "client_id": "2926527a-e2b8-4ac4-91fb-6846c8d697b3",
- "client_secret": "<Enter Client Secret>"
}Response samples
- 200
{- "access_token": "<JWT TOKEN>",
- "token_type": "Bearer",
- "expires_in": 3600
}Lookup addresses by postcode
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| postCode required | string <= 10 characters The postcode to lookup addresses for. |
object (metaData) |
Responses
Request samples
- Payload
{- "postCode": "SE9 3PA",
- "metaData": {
- "yourReference": "c98949d6-6d85-414c-8537-b33af821b80b",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "totalResults": "2",
- "addresses": [
- {
- "addressId": "1234567890",
- "houseNumber": "1",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}, - {
- "addressId": "0987654321",
- "houseNumber": "2",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}
]
}Match Address
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
object (matchAddressRequestAddress) | |
object (metaData) |
Responses
Request samples
- Payload
{- "address": {
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "district": "Eltham",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE9 3PA"
}, - "metaData": {
- "yourReference": "ddaba501-2920-4c3b-9956-daef41cbcaf5",
- "demoMode": false,
- "sandboxMode": false
}
}Response samples
- 200
- 400
{- "matchStatus": "UniqueMatch",
- "addresses": [
- {
- "addressId": "1234567890",
- "houseNumber": "1",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}
]
}Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (equifaxCandidate) |
required | object (equifaxCandidateAddress) |
required | object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mr",
- "firstName": "John",
- "middleName": "",
- "lastName": "Doe",
- "dateOfBirth": "1985-05-20",
- "email": "john.doe@example.com",
- "gender": "m"
}, - "currentAddress": {
- "addressId": "98001186436",
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "district": "Eltham",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE93PA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}, - "metaData": {
- "yourReference": "12608683-2bf5-455e-ad8e-d060f4e29b48",
- "demoMode": false,
- "sandboxMode": false
}
}Response samples
- 200
- 400
{- "uuid": "00000000-0000-0000-0000-000000000000",
- "data": {
- "backgroundCheckUuid": "00000000-0000-0000-0000-000000000000"
}
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID for the adverse financial detail results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the adverse financial detail results |
Responses
Response samples
- 200
- 400
{- "checkId": 0,
- "started": "2026-05-07T09:10:39.4720698Z",
- "completed": "2026-05-07T09:15:39.4720706Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "customerName": "Example Customer",
- "data": {
- "adverseFinancialHistoryDetail": {
- "numOfInsolvenciesLastYearNextAddress": "1",
- "numOfInsolvenciesLast6YearsPreviousAddresses": "2",
- "numOfInsolvenciesLast6YearsNextAddress": "3",
- "numOfCcjsLast6YearsPrevAddresses": "4",
- "numOfCcjsLast6YearsNextAddress": "5",
- "numOfBankruptciesLast6YearsIcoPrevAddresses": "6",
- "numOfBankruptciesLast6YearsIcoNextAddress": "7",
- "numOfBankruptciesDrosLilasLast6YearsPrevAddresses": "8",
- "numOfIvasLast6YearsNotSatisfiedPrevAddresses": "9"
}, - "courtAndInsolvencyInformation": [
- {
- "address": {
- "type": "supplied",
- "addressId": "98001186436",
- "country": "GB",
- "county": "GREATER LONDON",
- "district": "ELTHAM",
- "name": "JOHN JAMES DOE",
- "number": "19",
- "postcode": "SE9 4BY",
- "postTown": "LONDON",
- "street1": "HIGH POINT",
- "fromDate": "2024-05-07",
- "toDate": "2026-05-07"
}, - "ccjType": "CCJ",
- "courtCode": "1234",
- "courtName": "Central Court",
- "courtDate": "2025-05-07",
- "oldCaseNumber": "123456",
- "amount": {
- "Amount": "1000",
- "Currency": "GBP"
}, - "satisfiedDate": "2023-01-02"
}
], - "noticesOfCorrectionOrDispute": [
- {
- "address": {
- "type": "supplied",
- "addressId": "98001186436",
- "country": "GB",
- "county": "GREATER LONDON",
- "district": "ELTHAM",
- "name": "JOHN JAMES DOE",
- "number": "19",
- "postcode": "SE9 4BY",
- "postTown": "LONDON",
- "street1": "HIGH POINT",
- "fromDate": "2024-05-07",
- "toDate": "2026-05-07"
}, - "type": "Dispute",
- "dateCreated": "2023-01-01",
- "text": "This is a dispute text."
}
], - "aliases": [
- {
- "title": "Mr",
- "forename": "John",
- "middleName": "James",
- "surname": "Doe"
}
], - "adverseFinancialHistorySummary": {
- "potentialAliases": true,
- "valueOfMostRecentCcj": "500",
- "valueOfCcjsLast6Years": "2000",
- "numOfCcjsLastYear": "2",
- "numOfCcjsLast6Years": "5",
- "numOfInsolvenciesLast6Years": "3",
- "numOfBankruptciesDrosLilasLast6Years": "1",
- "numOfBankruptciesDrosLilasLast6YearsNotDischarged": "0",
- "numOfPrevLinkedAddresses": "4",
- "numOfNextLinkedAddresses": "2"
}, - "clientRef": "188982bf-bb0b-458a-9191-f8cc72121441",
- "candidateInformation": {
- "firstName": "John",
- "middleName": "James",
- "lastName": "Doe",
- "dateOfBirth": "2008-05-07",
- "addresses": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "toDate": "Current",
- "fromDate": "2018-05-07"
}
], - "note": "Note"
}, - "stats": {
- "proofsOfResidencyCount": "2",
- "proofsOfIdentityCount": "3",
- "alertsCount": "1"
}, - "identityInformation": {
- "electoralRollAndRollingRegisterCheck": "1",
- "currentlyOnElectoralRoll": "2",
- "nameMatchedAtAddressOnElectoralRegister": "Non-deleted subject level Rolling Register information found",
- "electoralRollAndRollingRegisterDateOfBirthCheck": "No",
- "yearsSincePersonsElectoralRollEntry": "4",
- "lengthOfResidenceCurrentAddress": "None found"
}, - "electoralRollHistory": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "name": "John James Doe",
- "annualRegisterPeriodStart": 2021,
- "annualRegisterPeriodEnd": 2024
}
], - "rollingRegisterInformation": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "name": "John James Smith",
- "supplyDate": "12-2025"
}
]
}
}Lookup addresses by postcode
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| postCode required | string <= 10 characters The postcode to lookup addresses for. |
object (metaData) |
Responses
Request samples
- Payload
{- "postCode": "SE9 3PA",
- "metaData": {
- "yourReference": "c98949d6-6d85-414c-8537-b33af821b80b",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "totalResults": "2",
- "addresses": [
- {
- "addressId": "1234567890",
- "houseNumber": "1",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}, - {
- "addressId": "0987654321",
- "houseNumber": "2",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}
]
}Match Address
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
object (matchAddressRequestAddress) | |
object (metaData) |
Responses
Request samples
- Payload
{- "address": {
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "district": "Eltham",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE9 3PA"
}, - "metaData": {
- "yourReference": "ddaba501-2920-4c3b-9956-daef41cbcaf5",
- "demoMode": false,
- "sandboxMode": false
}
}Response samples
- 200
- 400
{- "matchStatus": "UniqueMatch",
- "addresses": [
- {
- "addressId": "1234567890",
- "houseNumber": "1",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}
]
}Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (equifaxCandidate) |
required | object (equifaxCandidateAddress) |
required | object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mr",
- "firstName": "John",
- "middleName": "",
- "lastName": "Doe",
- "dateOfBirth": "1985-05-20",
- "email": "john.doe@example.com",
- "gender": "m"
}, - "currentAddress": {
- "addressId": "98001186436",
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "district": "Eltham",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE93PA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}, - "metaData": {
- "yourReference": "29ec2420-87d0-4ef3-af30-b0f4ba1725e0",
- "demoMode": false,
- "sandboxMode": false
}
}Response samples
- 200
- 400
{- "uuid": "00000000-0000-0000-0000-000000000000",
- "data": {
- "backgroundCheckUuid": "00000000-0000-0000-0000-000000000000"
}
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID for the adverse financial summary check results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the adverse financial summary check results |
Responses
Response samples
- 200
- 400
{- "checkId": 0,
- "started": "2026-05-07T09:10:39.4385956Z",
- "completed": "2026-05-07T09:15:39.4385961Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "customerName": "Example Customer",
- "data": {
- "adverseFinancialHistorySummary": {
- "potentialAliases": true,
- "valueOfMostRecentCcj": "500",
- "valueOfCcjsLast6Years": "2000",
- "numOfCcjsLastYear": "2",
- "numOfCcjsLast6Years": "5",
- "numOfInsolvenciesLast6Years": "3",
- "numOfBankruptciesDrosLilasLast6Years": "1",
- "numOfBankruptciesDrosLilasLast6YearsNotDischarged": "0",
- "numOfPrevLinkedAddresses": "4",
- "numOfNextLinkedAddresses": "2"
}, - "clientRef": "bb219949-e2b3-4c9a-8ad6-0c885c80e937",
- "candidateInformation": {
- "firstName": "John",
- "middleName": "James",
- "lastName": "Doe",
- "dateOfBirth": "2008-05-07",
- "addresses": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "toDate": "Current",
- "fromDate": "2018-05-07"
}
], - "note": "Note"
}, - "stats": {
- "proofsOfResidencyCount": "2",
- "proofsOfIdentityCount": "3",
- "alertsCount": "1"
}, - "identityInformation": {
- "electoralRollAndRollingRegisterCheck": "1",
- "currentlyOnElectoralRoll": "2",
- "nameMatchedAtAddressOnElectoralRegister": "Non-deleted subject level Rolling Register information found",
- "electoralRollAndRollingRegisterDateOfBirthCheck": "No",
- "yearsSincePersonsElectoralRollEntry": "4",
- "lengthOfResidenceCurrentAddress": "None found"
}, - "electoralRollHistory": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "name": "John James Doe",
- "annualRegisterPeriodStart": 2021,
- "annualRegisterPeriodEnd": 2024
}
], - "rollingRegisterInformation": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "name": "John James Smith",
- "supplyDate": "12-2025"
}
]
}
}Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
required | object (northRowPerson) |
required | object (northRowAddress) |
required | object (adverseMediaMetaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "firstName": "John",
- "lastName": "Doe",
- "email": "john.doe@example.com",
- "title": "Mr",
- "dateOfBirth": "1980-01-01",
- "gender": "m"
}, - "currentAddress": {
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE9 3PA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}, - "metaData": {
- "profileMatchPercent": "90",
- "yourReference": "41374bcc-91c6-4ca9-90d8-bf538c2992c9",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "00000000-0000-0000-0000-000000000000"
}Results
Authorizations:
query Parameters
| uuid required | string <uuid> The UUID for the adverse media results |
Responses
Response samples
- 200
- 400
[- [
- {
- "checkId": 1,
- "created": "2026-05-07T09:10:39.0222957Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "data": {
- "ragScore": {
- "rag": "Amber",
- "score": 75
}, - "alerts": [
- {
- "message": "Potential adverse media match found",
- "type": "Warning",
- "score": 75,
- "category": "AdverseMedia"
}
], - "personSearch": [
- {
- "forename": "John",
- "middleName": "A.",
- "surname": "Doe",
- "score": "85",
- "gender": "Male",
- "nationality": "GB",
- "dateOfBirth": "1980-01-01",
- "yearOfBirth": "1980",
- "deceased": false,
- "dateOfDeath": "-",
- "pepLevel": "Level 1",
- "insolvent": false,
- "lawEnforcement": false,
- "pep": true,
- "pepLevelDetail": [
- {
- "level": "Level 1",
- "description": "Senior political figure",
- "subContentType": [
- {
- "level": "Sub-level A",
- "description": "Cabinet Minister"
}
]
}
], - "aliases": [
- {
- "firstName": "Jonathan",
- "middleName": "A.",
- "lastName": "Doe"
}
], - "documents": [
- {
- "type": "Adverse Media",
- "title": "Former Finance Minister Under Investigation",
- "summary": "An investigation has been launched into allegations of financial misconduct.",
- "keywordsMatched": [
- "Finance",
- "Misconduct",
- "Investigation"
], - "dateCollected": "2025-05-30T14:23:00Z",
- "categories": [
- "Politics",
- "Finance"
]
}
], - "sanctions": [
- {
- "sanctionType": "UK Sanctions List",
- "isCurrent": true
}
], - "notes": [
- {
- "dataSource": "C6 Intelligence",
- "text": "Currently listed as a sanctioned individual",
- "snippet": [
- {
- "title": "Sanctions Listing",
- "summary": "Individual was added to sanctions list due to suspected involvement in illicit operations.",
- "keywordsMatched": [
- "Sanctions",
- "Financial operations"
]
}
]
}
], - "linkedBusinesses": [
- {
- "businessName": "Doe Industries Ltd",
- "position": "Director"
}
], - "linkedPersons": [
- {
- "name": "Jane Doe",
- "association": "Spouse"
}
], - "politicalRoles": [
- {
- "role": "Minister of Finance",
- "country": "GB",
- "dateFrom": "2010-01-01",
- "dateTo": "2020-01-01",
- "active": false
}
]
}
]
}
}
]
]Upload a customer logo
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| fileContents | string Logo file contents in Base64 |
| contentType | string The MIME content type of the logo (e.g. image/png, image/jpeg) |
Responses
Request samples
- Payload
{- "fileContents": "string",
- "contentType": "string"
}Response samples
- 200
- 400
{- "customerId": 0,
- "logoServeUrl": "string"
}Get Document Types
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| countryCode required | string = 2 characters |
| route | integer <int32> [ 1 .. 2 ] |
| excludePassport | boolean |
| excludeDrivingLicence | boolean |
Responses
Request samples
- Payload
{- "countryCode": "GB",
- "route": 1,
- "excludePassport": false,
- "excludeDrivingLicence": false
}Response samples
- 200
- 400
{- "numberOfDocumentsRequired": 2,
- "nextRoute": 2,
- "documents": {
- "1": [
- {
- "groupName": "Group 1",
- "documents": [
- {
- "slug": "dbs-passport",
- "name": "Passport",
- "notes": "Must be current and valid."
}, - {
- "slug": "dbs-driving-licence",
- "name": "Driving Licence Photocard",
- "notes": "Can be either Full or Provisional. Must be from UK, Isle of Man or Channel Island."
}
]
}
], - "2": [
- {
- "groupName": "Group 2a",
- "documents": [
- {
- "slug": "dbs-driving-licence-none-uk",
- "name": "Current Driving Licence - Non UK",
- "notes": "Can be Full or Provisional. All countries outside the UK (exc. Isle of Man and Channel Islands)."
}, - {
- "slug": "dbs-birth-certificate",
- "name": "Group 2a: Birth Certificate (issued after time of birth)",
- "notes": "Must be from UK, Isle of Man and Channel Islands."
}
]
}, - {
- "groupName": "Group 2b",
- "documents": [
- {
- "slug": "dbs-mortgage-statement",
- "name": "Group 2b: Mortgage Statement - Issued in the last 12 months",
- "notes": "Must be from the UK."
}, - {
- "slug": "dbs-credit-card-statement",
- "name": "Credit Card Statement - Issued in the last 3 months\r\n",
- "notes": "Must be from UK. Must be issued within last 3 months."
}
]
}
]
}
}Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (dbsEAndWCandidate) The candidate on which to perform the check. |
required | Array of objects (dbsEAndWAddress) The addresses to check against. |
required | object (dbsEAndWBirthDetails) The required details of the candidate's birth. |
object (dbsEAndWPassport) The optional passport details of the candidate. | |
object (dbsEAndWDrivingLicence) The optional driving licence details of the candidate. | |
Array of objects (disclosureIdentityDocument) The optional identity document selections of the candidate. | |
Array of objects (disclosureOtherName) The other names of the candidate if required. | |
| hasReadPrivacyPolicy | boolean Indicates that the candidate has read all necessary privacy policies. |
| hasSeenStatementOfFairProcessing | boolean Indicates that the candidate has seen the statement of fair processing. |
| consentToObtainResult | boolean Indicates that the candidate has consented to obtain the result. |
| candidateDeclarationHasUnspentConvictions | boolean The candidate's declaration as to whether they have unspent convictions. |
| paperCertToCandidate | boolean Indicates whether the paper certificate should be sent to the candidate. |
required | object (paperCertificateRecipient) The details of the paper certificate recipient, if not the candidate. |
| customerNameOnCert | boolean Indicates whether the customer name should be printed on the certificate. |
| idVerifyName required | string The name of the person who has verified the candidate's ID docs. |
required | object (dbsEAndWSectionX) Indicates the Section X information for this position. |
| purposeOfCheck | string The purpose of the check. Default = 'Employment' |
required | object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mrs",
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Doe",
- "email": "jane.doe@example.com",
- "contactNumber": "01234567890",
- "gender": "F",
- "dateOfBirth": "1985-05-20",
- "nationality": "GB"
}, - "addresses": [
- {
- "houseNumber": "1",
- "streetName": "High Street",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SW1A1AA",
- "fromDate": "2021-05-07",
- "isCurrent": true
}
], - "birthDetails": {
- "country": "GB",
- "county": "Greater London",
- "town": "London",
- "nationality": "British"
}, - "passport": {
- "number": "123456789",
- "issueDate": "2010-01-01",
- "nationality": "British",
- "dateOfBirth": "1985-05-20",
- "expiryDate": "2030-01-01",
- "countryOfIssue": "GB"
}, - "drivingLicence": {
- "number": "DOE99855205JL8AD",
- "validFrom": "2020-01-01",
- "validTo": "2029-12-31",
- "dateOfBirth": "1985-05-20",
- "countryOfIssue": "GB"
}, - "identityDocuments": [
- {
- "documentType": "dbs-passport"
}
], - "otherNames": [
- {
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Franks",
- "fromDate": "1985-05-20",
- "toDate": "2020-01-01"
}
], - "hasReadPrivacyPolicy": true,
- "hasSeenStatementOfFairProcessing": true,
- "consentToObtainResult": true,
- "candidateDeclarationHasUnspentConvictions": false,
- "paperCertToCandidate": false,
- "paperCertRecipient": {
- "name": "John Doe",
- "line1": "123 Fake Street",
- "postTown": "Faketown",
- "postCode": "SW1A1AA",
- "country": "GB"
}, - "customerNameOnCert": true,
- "idVerifyName": "John Doe",
- "sectionX": {
- "candidatePosition": "Nurse",
- "customerName": "Jane Doe",
- "employmentSector": "nhs"
}, - "purposeOfCheck": "employment",
- "metaData": {
- "yourReference": "b6555b6b-fc49-4f79-b219-4aa12e465eab",
- "demoMode": false,
- "sandboxMode": false,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "5905edb7-183c-4ddc-897a-b3bd3481014f",
- "data": {
- "backgroundCheckUuid": "5905edb7-183c-4ddc-897a-b3bd3481014f",
- "detail": "DBS Basic E&W Disclosure check created successfully."
}
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The Check UUID for the DBS Basic E&W results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the DBS Basic E&W results |
Responses
Response samples
- 200
- 400
{- "checkId": 1,
- "created": "2026-05-06T09:10:39.5324968Z",
- "started": "2026-05-06T09:10:39.5324984Z",
- "completed": "2026-05-07T09:10:39.5324985Z",
- "status": "Completed",
- "yourReference": "your-reference-123",
- "customerName": "Example Customer",
- "data": {
- "status": "Certificate Issued / Despatched",
- "dbsRef": "E0470820768",
- "receivedDate": "2026-05-07",
- "organisation": "Test Organisation",
- "assembleCertificateDate": "2026-05-07",
- "certificateDespatchedDate": "2026-05-07",
- "policeNationalComputerSearchDate": "2026-05-07",
- "results": {
- "eResultInfo": {
- "disclosureType": "Standard",
- "disclosureNumber": "123456",
- "disclosureStatus": "Clear",
- "disclosureIssueDate": "2026-05-07",
- "regOrgApplicationReference": "123456"
}, - "applicantPersonalDetails": {
- "applicantGender": "F",
- "applicantAddress": {
- "postcode": "AB1 2CD",
- "addressTown": "Test Town",
- "countryCode": "GB",
- "addressLine1": "1 Test Street",
- "addressLine2": "Test Town",
- "addressCounty": "Test County"
}, - "applicantSurname": "Doe",
- "applicantForename": "Jane",
- "applicantBirthTown": "Greater Manchester",
- "applicantOtherNames": {
- "otherName": {
- "usedTo": "1987-01-26",
- "usedFrom": "1967-10-26",
- "otherForename": "Jane",
- "otherSurname": "Smith"
}
}, - "applicantDateOfBirth": "1967-10-26",
- "applicantBirthCountry": "GB"
}
}
}
}Get Document Types
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
| route required | integer or null <int32> [ 1 .. 3 ] |
| countryCode required | string = 2 characters |
| isVolunteer | boolean or null |
| excludePassport | boolean |
| excludeDrivingLicence | boolean |
Responses
Request samples
- Payload
{- "route": 1,
- "countryCode": "GB",
- "isVolunteer": false,
- "excludePassport": false,
- "excludeDrivingLicence": false
}Response samples
- 200
- 400
{- "numberOfDocumentsRequired": 1,
- "nextRoute": 2,
- "documents": {
- "1": [
- {
- "groupName": "Group 1",
- "documents": [
- {
- "slug": "passport",
- "name": "Passport",
- "notes": ""
}
]
}
]
}
}Get Position Setting
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
| positionSettingId | integer or null <int32> |
| settingName | string |
Responses
Request samples
- Payload
{- "positionSettingId": 0,
- "settingName": "Hospital"
}Response samples
- 200
- 400
{- "count": 1,
- "results": [
- {
- "positionSettingId": 1,
- "settingName": "Hospital"
}
]
}Get Postions
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
| positionId | integer or null <int32> |
| positionName | string |
| levelOfCheck | string |
| workForceType | string |
| positionSettingId | integer or null <int32> |
| inUse | boolean or null |
Responses
Request samples
- Payload
{- "positionId": 1,
- "positionName": "Nurse",
- "levelOfCheck": "ENHANCED",
- "workForceType": "ADULT",
- "positionSettingId": 1,
- "inUse": true
}Response samples
- 200
- 400
{- "count": 1,
- "results": [
- {
- "positionId": 1,
- "positionName": "Nurse",
- "levelOfCheck": "ENHANCED",
- "workForceType": "ADULT",
- "settingName": "Hospital",
- "isRegulated": false,
- "isVolunteer": false,
- "inUse": true
}
]
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The Check UUID for the disclosure services results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the disclosure services results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 1,
- "status": "Completed",
- "created": "2026-05-07T09:10:39.5086228Z",
- "completed": "2026-05-07T09:10:39.5086382Z",
- "data": {
- "dsApplicationId": "123456",
- "results": {
- "status": "clear",
- "agencyReference": "123456",
- "certificateNumber": "123456",
- "issueDate": "2026-05-07T09:10:39.5087372Z"
}
}
}
]Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (dsEnhancedCandidate) The candidate on which to perform the check. |
required | Array of objects (dsEnhancedAddress) The addresses to check against. |
required | object (dsEnhancedBirthDetails) The required details of the candidate's birth. |
object (dsPassport) The optional passport details of the candidate. | |
object (dsDrivingLicence) The optional driving licence details of the candidate. | |
Array of objects (dsIdentityDocument) The optional identity document selections of the candidate. | |
Array of objects (dsOtherName) The other names of the candidate if required. | |
| hasReadPrivacyPolicy | boolean Indicates that the candidate has read all necessary privacy policies. |
| hasSeenStatementOfFairProcessing | boolean Indicates that the candidate has seen the statement of fair processing. |
| consentToObtainResult | boolean Indicates that the candidate has consented to obtain the result. |
| candidateDeclarationHasUnspentConvictions | boolean Deprecated: The candidate's declaration as to whether they have unspent convictions. This property will be removed when current version is decommissioned. |
| candidateDeclarationHasUnprotectedConvictions | boolean Deprecated: The candidate's declaration as to whether they have unprotected convictions. This property will be removed when current version is decommissioned. |
| paperCertToCandidate | boolean Deprecated: Indicates whether the paper certificate should be sent to the candidate. This property will be removed when current version is decommissioned. |
object (dsPaperCertificateRecipient) Deprecated: The details of the paper certificate recipient, if not the candidate. This property will be removed when current version is decommissioned. | |
| customerNameOnCert | boolean Deprecated: Indicates whether the customer name should be printed on the certificate. This property will be removed when current version is decommissioned. |
| idVerifyName required | string The name of the person who has verified the candidate's ID docs. |
required | object (dsEnhancedSectionX) Indicates the Section X information for this position. |
| purposeOfCheck | string Deprecated: The purpose of the check. Default = 'Employment'. This property will be removed when current version is decommissioned. |
| currentAddressChecked | boolean Deprecated: Indicates whether the candidate's current address is checked. This property will be removed when current version is decommissioned. |
| dsOrganisationId | integer <int32> Deprecated: The organisation ID for Disclosure Scotland. This property will be removed when current version is decommissioned. |
required | object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mrs",
- "firstName": "Jane",
- "middleNames": [
- "Louise"
], - "lastName": "Doe",
- "email": "jane.doe@example.com",
- "contactNumber": "01234567890",
- "gender": "F",
- "dateOfBirth": "1985-05-20",
- "nationality": "GB",
- "niNumber": "AB123456C",
- "mothersMaidenName": "Smith"
}, - "addresses": [
- {
- "houseNumber": "1",
- "streetName": "High Street",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SW1A1AA",
- "fromDate": "2021-05-07",
- "isCurrent": true
}
], - "birthDetails": {
- "country": "GB",
- "county": "Greater London",
- "town": "London",
- "nationality": "GB"
}, - "passport": {
- "number": "123456789",
- "issueDate": "2010-01-01",
- "nationality": "British",
- "dateOfBirth": "1985-05-20",
- "expiryDate": "2030-01-01",
- "countryOfIssue": "GB"
}, - "drivingLicence": {
- "number": "DOE99855205JL8AD",
- "validFrom": "2020-01-01",
- "validTo": "2029-12-31",
- "dateOfBirth": "1985-05-20",
- "countryOfIssue": "GB"
}, - "identityDocuments": [
- {
- "documentType": "dbs-passport",
- "documentNumber": "123456789",
- "validUntil": "2030-01-01",
- "validFrom": "2020-01-01",
- "issuingCountryCode": "GB"
}
], - "otherNames": [
- {
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Franks",
- "fromDate": "1985-05-20",
- "toDate": "2020-01-01"
}
], - "hasReadPrivacyPolicy": true,
- "hasSeenStatementOfFairProcessing": true,
- "consentToObtainResult": true,
- "candidateDeclarationHasUnspentConvictions": false,
- "candidateDeclarationHasUnprotectedConvictions": false,
- "paperCertToCandidate": false,
- "paperCertRecipient": {
- "name": "John Doe",
- "line1": "123 Fake Street",
- "postTown": "Faketown",
- "postCode": "SW1A1AA",
- "country": "GB"
}, - "customerNameOnCert": true,
- "idVerifyName": "John Doe",
- "sectionX": {
- "disclosurePosition": {
- "childBarring": false,
- "adultBarring": false,
- "adultFirst": false,
- "isVolunteer": false,
- "positionId": 1,
- "workingAtHomeAddress": false
}, - "customerName": "Jane Doe",
- "dateEmploymentStarts": "2026-06-07"
}, - "purposeOfCheck": "employment",
- "currentAddressChecked": true,
- "dsOrganisationId": 894,
- "metaData": {
- "yourReference": "1a9d7806-ced0-4e0e-9add-6347d76ca71e",
- "demoMode": false,
- "sandboxMode": false,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "12345678-1234-1234-1234-123456789012",
- "data": {
- "backgroundCheckUuid": "12345678-1234-1234-1234-123456789012",
- "detail": "DBS Enhanced level Disclosure check initiated successfully."
}
}Patch
Authorizations:
path Parameters
| uuid required | string The UUID of the check to patch |
Request Body schema: application/jsonrequired
The Request Body
required | object (dsEnhancedCandidate) The candidate on which to perform the check. |
required | Array of objects (dsEnhancedAddress) The addresses for the candidate. |
required | object (dsEnhancedBirthDetails) The required details of the candidate's birth. |
object (dsPassport) The optional passport details of the candidate. | |
object (dsDrivingLicence) The optional driving licence details of the candidate. | |
Array of objects (dsIdentityDocument) The candidate's identity document selections. | |
Array of objects (dsOtherName) The candidate's other names. | |
| idVerifyName required | string The name of the person who has verified the candidate's ID docs. |
required | object (dsEnhancedSectionX) Indicates the Section X information for this position. |
object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mrs",
- "firstName": "Jane",
- "middleNames": [
- "Louise"
], - "lastName": "Doe",
- "email": "jane.doe@example.com",
- "contactNumber": "01234567890",
- "gender": "F",
- "dateOfBirth": "1985-05-20",
- "nationality": "GB",
- "niNumber": "AB123456C",
- "mothersMaidenName": "Smith"
}, - "addresses": [
- {
- "houseNumber": "1",
- "streetName": "High Street",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SW1A1AA",
- "fromDate": "2021-05-07",
- "isCurrent": true
}
], - "birthDetails": {
- "country": "GB",
- "county": "Greater London",
- "town": "London",
- "nationality": "GB"
}, - "passport": {
- "number": "123456789",
- "issueDate": "2010-01-01",
- "nationality": "British",
- "dateOfBirth": "1985-05-20",
- "expiryDate": "2030-01-01",
- "countryOfIssue": "GB"
}, - "drivingLicence": {
- "number": "DOE99855205JL8AD",
- "validFrom": "2020-01-01",
- "validTo": "2029-12-31",
- "dateOfBirth": "1985-05-20",
- "countryOfIssue": "GB"
}, - "identityDocuments": [
- {
- "documentType": "dbs-passport",
- "documentNumber": "123456789",
- "validUntil": "2030-01-01",
- "validFrom": "2020-01-01",
- "issuingCountryCode": "GB"
}
], - "otherNames": [
- {
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Franks",
- "fromDate": "1985-05-20",
- "toDate": "2020-01-01"
}
], - "idVerifyName": "John Doe",
- "sectionX": {
- "disclosurePosition": {
- "childBarring": false,
- "adultBarring": false,
- "adultFirst": false,
- "isVolunteer": false,
- "positionId": 1,
- "workingAtHomeAddress": false
}, - "customerName": "Jane Doe",
- "dateEmploymentStarts": "2026-06-07"
}, - "metaData": {
- "yourReference": "4612b6d0-b2a2-4031-be19-5ef7f70e40ad",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "12345678-1234-1234-1234-123456789012"
}Get Rejections
Authorizations:
query Parameters
| pageNumber | integer <int32> Page number (default: 1) |
| pageSize | integer <int32> Page size (default: 10) |
| demoMode | boolean Enable demo mode (default: false) |
| sandboxMode | boolean Enable sandbox mode (default: false) |
Responses
Response samples
- 200
- 400
{- "rejections": [
- {
- "applicationId": 0,
- "rejectionReason": "string",
- "orgReference": "string"
}
], - "pageNumber": 0,
- "pageSize": 0,
- "totalPages": 0
}Get Document Types
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
| route required | integer or null <int32> [ 1 .. 3 ] |
| countryCode required | string = 2 characters |
| isVolunteer | boolean or null |
| excludePassport | boolean |
| excludeDrivingLicence | boolean |
Responses
Request samples
- Payload
{- "route": 1,
- "countryCode": "GB",
- "isVolunteer": false,
- "excludePassport": false,
- "excludeDrivingLicence": false
}Response samples
- 200
- 400
{- "numberOfDocumentsRequired": 1,
- "nextRoute": 2,
- "documents": {
- "1": [
- {
- "groupName": "Group 1",
- "documents": [
- {
- "slug": "passport",
- "name": "Passport",
- "notes": ""
}
]
}
]
}
}Get Position Setting
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
| positionSettingId | integer or null <int32> |
| settingName | string |
Responses
Request samples
- Payload
{- "positionSettingId": 0,
- "settingName": "Hospital"
}Response samples
- 200
- 400
{- "count": 1,
- "results": [
- {
- "positionSettingId": 1,
- "settingName": "Hospital"
}
]
}Get Postions
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
| positionId | integer or null <int32> |
| positionName | string |
| levelOfCheck | string |
| workForceType | string |
| positionSettingId | integer or null <int32> |
| inUse | boolean or null |
Responses
Request samples
- Payload
{- "positionId": 1,
- "positionName": "Nurse",
- "levelOfCheck": "ENHANCED",
- "workForceType": "ADULT",
- "positionSettingId": 1,
- "inUse": true
}Response samples
- 200
- 400
{- "count": 1,
- "results": [
- {
- "positionId": 1,
- "positionName": "Nurse",
- "levelOfCheck": "ENHANCED",
- "workForceType": "ADULT",
- "settingName": "Hospital",
- "isRegulated": false,
- "isVolunteer": false,
- "inUse": true
}
]
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The Check UUID for the disclosure services results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the disclosure services results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 1,
- "status": "Completed",
- "created": "2026-05-07T09:10:39.5086228Z",
- "completed": "2026-05-07T09:10:39.5086382Z",
- "data": {
- "dsApplicationId": "123456",
- "results": {
- "status": "clear",
- "agencyReference": "123456",
- "certificateNumber": "123456",
- "issueDate": "2026-05-07T09:10:39.5087372Z"
}
}
}
]Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| disclosureType | string The level of disclosure check to perform |
required | object (disclosureCandidate) The candidate on which to perform the check. |
Array of objects (disclosureAddress) The addresses to check against. | |
object (disclosureBirthDetails) The required details of the candidate's birth. | |
object (disclosurePassport) The optional passport details of the candidate. | |
object (disclosureDrivingLicence) The optional driving licence details of the candidate. | |
Array of objects (disclosureIdentityDocument) The optional identity document selections of the candidate. | |
Array of objects (disclosureOtherName) The other names of the candidate if required. | |
| hasReadPrivacyPolicy | boolean Indicates that the candidate has read all necessary privacy policies. |
| hasSeenStatementOfFairProcessing | boolean Indicates that the candidate has seen the statement of fair processing. |
| consentToObtainResult | boolean Indicates that the candidate has consented to obtain the result. |
| candidateDeclarationHasUnspentConvictions required | boolean The candidate's declaration as to whether they have unspent convictions. |
| candidateDeclarationHasUnprotectedConvictions required | boolean The candidate's declaration as to whether they have unprotected convictions. |
| paperCertToCandidate required | boolean Indicates whether the paper certificate should be sent to the candidate. |
object (paperCertificateRecipient) The details of the paper certificate recipient, if not the candidate. | |
| customerNameOnCert | boolean Indicates whether the customer name should be printed on the certificate. |
| idVerifyName | string The name of the person who has verified the candidate's ID docs. |
object (disclosurePositionSectionX) Indicates the Section X information for this position. | |
| purposeOfCheck | string The purpose of the check. Default = 'Employment' |
| currentAddressChecked required | boolean Indicates whether the candidate's current address is checked. |
| dsOrganisationId | integer <int32> The ID of the DS organisation to perform the check. |
object (metaData) |
Responses
Request samples
- Payload
{- "disclosureType": "DBS Standard",
- "candidate": {
- "title": "Mrs",
- "middleName": "Louise",
- "contactNumber": "01234567890",
- "gender": "F",
- "nationality": "GB",
- "dateOfBirth": "1985-05-20",
- "firstName": "Jane",
- "lastName": "Doe",
- "email": "jane.doe@example.com"
}, - "addresses": [
- {
- "houseNumber": "1",
- "streetName": "High Street",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SW1A1AA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}
], - "birthDetails": {
- "country": "GB",
- "county": "Greater London",
- "town": "London",
- "nationality": "British"
}, - "passport": {
- "number": "123456789",
- "issueDate": "2010-01-01",
- "nationality": "British",
- "dateOfBirth": "1985-05-20",
- "expiryDate": "2030-01-01",
- "countryOfIssue": "GB"
}, - "drivingLicence": {
- "number": "DOE99855205JL8AD",
- "validFrom": "2020-01-01",
- "validTo": "2029-12-31",
- "dateOfBirth": "1985-05-20",
- "countryOfIssue": "GB"
}, - "identityDocuments": [
- {
- "documentType": "dbs-passport"
}
], - "otherNames": [
- {
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Franks",
- "fromDate": "1985-05-20",
- "toDate": "2020-01-01"
}
], - "hasReadPrivacyPolicy": true,
- "hasSeenStatementOfFairProcessing": true,
- "consentToObtainResult": true,
- "candidateDeclarationHasUnspentConvictions": false,
- "candidateDeclarationHasUnprotectedConvictions": false,
- "paperCertToCandidate": false,
- "paperCertRecipient": {
- "name": "John Doe",
- "line1": "123 Fake Street",
- "postTown": "Faketown",
- "postCode": "SW1A1AA",
- "country": "GB"
}, - "customerNameOnCert": true,
- "idVerifyName": "John Doe",
- "sectionX": {
- "disclosurePosition": {
- "positionId": 0
}, - "customerName": "Customer Name"
}, - "purposeOfCheck": "employment",
- "currentAddressChecked": true,
- "dsOrganisationId": 894,
- "metaData": {
- "yourReference": "eb5fd2a4-1380-4c99-9276-36b06e61380a",
- "demoMode": false,
- "sandboxMode": false,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "data": {
- "backgroundCheckUuid": "e06fc01e-a857-4875-8ca6-66af0c0aaf4d",
- "detail": "DBS Standard Disclosure check initiated successfully"
}
}Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| organisationName required | string <= 50 characters ^[^#]+$ |
| requesterForename required | string <= 50 characters ^(?!')[A-Za-z\s'-]+$ |
| requesterSurname required | string <= 50 characters ^(?!')[A-Za-z\s'-]+$ |
| certificateNumber required | string = 12 characters ^\d{12}$ |
| applicantSurname required | string <= 50 characters ^(?!')[A-Za-z\s'-]+$ |
| applicantDateOfBirth required | string <date> (dateOnly) Date in the format YYYY-MM-DD |
| webhookBaseUrl | string |
required | object (metaData) |
Responses
Request samples
- Payload
{- "organisationName": "Example Organisation Ltd",
- "requesterForename": "John",
- "requesterSurname": "Smith",
- "certificateNumber": "123456789012",
- "applicantSurname": "Doe",
- "applicantDateOfBirth": "1990-01-15",
- "metaData": {
- "yourReference": "70e06a79-fa23-4708-8040-e7dbfe4daf81",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "00000000-0000-0000-0000-000000000000",
- "data": {
- "backgroundCheckUuid": "00000000-0000-0000-0000-000000000000"
}
}Get DBS Update Service Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID of the DBS Update Service check |
| checkUuid | string <uuid> Deprecated: Use 'uuid' instead. The UUID of the DBS Update Service check |
Responses
Response samples
- 200
- 400
{- "checkId": "12345678-1234-1234-1234-123456789012",
- "created": "2026-05-06T09:10:39.5478623Z",
- "started": "2026-05-06T09:11:39.5478630Z",
- "completed": "2026-05-07T09:10:39.5478635Z",
- "status": "Completed",
- "yourReference": "REF-12345",
- "customerName": "Example Customer",
- "data": {
- "certificateStatus": "No New Information",
- "certificateHolderFullName": "Jane Doe",
- "certificateDateOfBirth": "1990-01-15",
- "certificateNumber": "123456789012",
- "certificatePrintDate": "2024-05-07",
- "checkPerformedByFullName": "John Smith",
- "checkPerformedOn": "2026-05-07T09:10:39.5478646Z",
- "reportUrl": "api/check-attachment?uuid=12345678-1234-1234-1234-123456789012&id=1"
}
}Generate Token
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| uuid | string <uuid> The UUID for the digital identity check. |
| background_check_uuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the digital identity check. |
Responses
Request samples
- Payload
{- "uuid": "00000000-0000-0000-0000-000000000000"
}Response samples
- 200
- 400
{- "token": "dummy_token",
- "expiry": "2026-05-07T10:40:38.9232852Z"
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID for the digital identity results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the digital identity results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 0,
- "started": "2026-05-07T09:10:38.9268898Z",
- "completed": "2026-05-07T09:15:38.9268902Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "customerName": "Example Customer",
- "data": {
- "applicantName": "John Doe",
- "applicantEmail": "john.doe@example.com",
- "operatorEmail": "operator@example.com",
- "createdAt": "2026-05-07T09:09:38.9277020Z",
- "completedAt": "2026-05-07T09:10:38.9277169Z",
- "status": "approved",
- "reasons": [ ],
- "documents": [
- {
- "documentType": "passport",
- "createdAt": "2026-05-07T09:10:38.9278257Z",
- "fileName": "394fd496-5323-4ba9-a560-c1250ca4619a",
- "fileType": "jpg",
- "url": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=1"
}, - {
- "documentType": "driving_licence",
- "createdAt": "2026-05-07T09:10:38.9278504Z",
- "fileName": "71a4fc13-6848-4111-8cf8-dc00de300aeb",
- "fileType": "png",
- "url": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=2"
}
], - "videos": [
- {
- "frameUrl": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=4",
- "fileName": "6344e1ea-2757-47db-bdbb-ce2b3f443492",
- "fileType": "video/mp4",
- "url": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=3"
}
], - "checks": [
- {
- "createdAt": "2026-05-07T09:10:38.9279297Z",
- "status": "complete",
- "reports": [
- {
- "createdAt": "2026-05-07T09:10:38.9279805Z",
- "name": "facial_similarity_motion",
- "status": "complete",
- "result": "clear"
}
]
}, - {
- "createdAt": "2026-05-07T09:10:38.9280330Z",
- "status": "complete",
- "reports": [
- {
- "createdAt": "2026-05-07T09:10:38.9280334Z",
- "name": "document",
- "status": "complete",
- "result": "clear",
- "documentType": "passport",
- "properties": {
- "date_of_birth": "1990-01-01",
- "date_of_expiry": "2031-05-28",
- "document_numbers": [
- {
- "type": "document_number",
- "value": "999999999"
}
], - "document_type": "passport",
- "first_name": "John",
- "gender": null,
- "issuing_country": "GBR",
- "last_name": "Doe",
- "nationality": null
}, - "breakdown": {
- "visual_authenticity": {
- "result": "clear",
- "breakdown": {
- "spoofing_detection": {
- "result": "clear",
- "properties": {
- "score": 0.9512
}
}, - "liveness_detected": {
- "result": "clear",
- "properties": { }
}
}
}, - "image_integrity": {
- "result": "clear",
- "breakdown": {
- "source_integrity": {
- "result": "clear",
- "properties": { }
}, - "face_detected": {
- "result": "clear",
- "properties": { }
}
}
}, - "face_comparison": {
- "result": "clear",
- "breakdown": {
- "face_match": {
- "result": "clear",
- "properties": {
- "score": 0.6512,
- "document_id": "7a353960-9129-4dcd-ad36-1e4d3c3a7882"
}
}
}
}
}
}
]
}, - {
- "createdAt": "2026-05-07T09:10:38.9338097Z",
- "status": "complete",
- "reports": [
- {
- "createdAt": "2026-05-07T09:10:38.9338108Z",
- "name": "identity_enhanced",
- "status": "complete",
- "result": "clear"
}
]
}
]
}
}
]Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (onfidoCandidate) |
required | object (onfidoCandidateAddress) |
object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mr",
- "firstName": "John",
- "lastName": "Doe",
- "dateOfBirth": "1980-01-01",
- "email": "john.doe@example.com",
- "nationality": "GB"
}, - "currentAddress": {
- "houseNumber": "1",
- "streetName": "High Street",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SW1A1AA",
- "fromDate": "2021-05-07",
- "isCurrent": true
}, - "metaData": {
- "yourReference": "94479e47-bd07-4a67-9921-5c448e14ebb3",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "data": {
- "token": "string",
- "expiry": "string",
- "workflowRunId": "5ca99e95-15bc-4b23-a2d2-f5f4060373ab",
- "backgroundCheckUuid": "82fba8f4-9d44-4313-93b7-875d67537ff0",
- "detail": "string"
}
}Generate Token
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| uuid | string <uuid> The UUID for the digital identity check. |
| background_check_uuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the digital identity check. |
Responses
Request samples
- Payload
{- "uuid": "00000000-0000-0000-0000-000000000000"
}Response samples
- 200
- 400
{- "token": "dummy_token",
- "expiry": "2026-05-07T10:40:38.9232852Z"
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID for the digital identity results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the digital identity results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 0,
- "started": "2026-05-07T09:10:38.9268898Z",
- "completed": "2026-05-07T09:15:38.9268902Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "customerName": "Example Customer",
- "data": {
- "applicantName": "John Doe",
- "applicantEmail": "john.doe@example.com",
- "operatorEmail": "operator@example.com",
- "createdAt": "2026-05-07T09:09:38.9277020Z",
- "completedAt": "2026-05-07T09:10:38.9277169Z",
- "status": "approved",
- "reasons": [ ],
- "documents": [
- {
- "documentType": "passport",
- "createdAt": "2026-05-07T09:10:38.9278257Z",
- "fileName": "394fd496-5323-4ba9-a560-c1250ca4619a",
- "fileType": "jpg",
- "url": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=1"
}, - {
- "documentType": "driving_licence",
- "createdAt": "2026-05-07T09:10:38.9278504Z",
- "fileName": "71a4fc13-6848-4111-8cf8-dc00de300aeb",
- "fileType": "png",
- "url": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=2"
}
], - "videos": [
- {
- "frameUrl": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=4",
- "fileName": "6344e1ea-2757-47db-bdbb-ce2b3f443492",
- "fileType": "video/mp4",
- "url": "api/check-attachment?uuid=06693ac1-4609-477e-993e-b9366e021e4f&id=3"
}
], - "checks": [
- {
- "createdAt": "2026-05-07T09:10:38.9279297Z",
- "status": "complete",
- "reports": [
- {
- "createdAt": "2026-05-07T09:10:38.9279805Z",
- "name": "facial_similarity_motion",
- "status": "complete",
- "result": "clear"
}
]
}, - {
- "createdAt": "2026-05-07T09:10:38.9280330Z",
- "status": "complete",
- "reports": [
- {
- "createdAt": "2026-05-07T09:10:38.9280334Z",
- "name": "document",
- "status": "complete",
- "result": "clear",
- "documentType": "passport",
- "properties": {
- "date_of_birth": "1990-01-01",
- "date_of_expiry": "2031-05-28",
- "document_numbers": [
- {
- "type": "document_number",
- "value": "999999999"
}
], - "document_type": "passport",
- "first_name": "John",
- "gender": null,
- "issuing_country": "GBR",
- "last_name": "Doe",
- "nationality": null
}, - "breakdown": {
- "visual_authenticity": {
- "result": "clear",
- "breakdown": {
- "spoofing_detection": {
- "result": "clear",
- "properties": {
- "score": 0.9512
}
}, - "liveness_detected": {
- "result": "clear",
- "properties": { }
}
}
}, - "image_integrity": {
- "result": "clear",
- "breakdown": {
- "source_integrity": {
- "result": "clear",
- "properties": { }
}, - "face_detected": {
- "result": "clear",
- "properties": { }
}
}
}, - "face_comparison": {
- "result": "clear",
- "breakdown": {
- "face_match": {
- "result": "clear",
- "properties": {
- "score": 0.6512,
- "document_id": "7a353960-9129-4dcd-ad36-1e4d3c3a7882"
}
}
}
}
}
}
]
}, - {
- "createdAt": "2026-05-07T09:10:38.9338097Z",
- "status": "complete",
- "reports": [
- {
- "createdAt": "2026-05-07T09:10:38.9338108Z",
- "name": "identity_enhanced",
- "status": "complete",
- "result": "clear"
}
]
}
]
}
}
]Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (onfidoCandidate) |
object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mr",
- "firstName": "John",
- "lastName": "Doe",
- "dateOfBirth": "1980-01-01",
- "email": "john.doe@example.com",
- "nationality": "GB"
}, - "metaData": {
- "yourReference": "6d8bc1df-22e4-4e34-8a58-23083149d877",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "b9d3a3e0-d199-414b-9c49-13320e2b01a6",
- "data": {
- "token": "<SDK TOKEN>",
- "expiry": "2026-05-07T10:10:38.9456796Z",
- "workflowRunId": "e8e401d0-daf0-4717-9525-6fdfb4e7e8f8",
- "backgroundCheckUuid": "b9d3a3e0-d199-414b-9c49-13320e2b01a6",
- "detail": "Digital Identity Check (medium) created successfully."
}
}Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
required | object (northRowPerson) |
required | object (northRowAddress) |
required | object (metaData) |
Responses
Request samples
- Payload
{- "person": {
- "firstName": "John",
- "lastName": "Doe",
- "email": "john.doe@example.com",
- "dateOfBirth": "1980-01-01",
- "gender": "m"
}, - "currentAddress": {
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE9 3PA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}, - "metaData": {
- "yourReference": "952cb10d-a70c-4120-bc7b-bab186e82119",
- "demoMode": true,
- "sandboxMode": false
}
}Response samples
- 200
- 400
{- "uuid": "12345678-1234-1234-1234-123456789012",
- "data": {
- "backgroundCheckUuid": "12345678-1234-1234-1234-123456789012"
}
}Results
Authorizations:
query Parameters
| backgroundCheckUuid required | string <uuid> The UUID of the directorship check |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 1,
- "created": "2026-05-07T09:10:38.9795016Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "data": {
- "directorshipDetails": [
- {
- "name": "Director",
- "nationality": "British",
- "dateOfBirth": "01/01/1990",
- "address": {
- "line1": "Address line 1",
- "line2": "Address line 2",
- "line3": "Address line 3",
- "line4": "Address line 4",
- "line5": "Address line 5",
- "line6": "Address line 6",
- "postcode": "Postcode",
- "country": "Country"
}, - "directorships": [
- {
- "companyName": "Company Name",
- "companyNumber": "Company Number",
- "companyStatus": "Company Status",
- "function": "Director",
- "appointedDate": "01/01/2020",
- "resignationDate": "01/01/2024",
- "companyAddress": {
- "addressLine1": "1 Company Lane",
- "addressLine2": "Company Street",
- "locality": "London",
- "postalCode": "ABC DEF",
- "region": "Greater London"
}
}
]
}
], - "disqualificationDetails": [
- {
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Doe",
- "dob": "01/01/1990",
- "companyNumber": "12345",
- "countryOfRegistration": "United Kingdom",
- "disqualifications": [
- {
- "address": {
- "line1": "Address line 1",
- "line2": "Address line 2",
- "line3": "Address line 3",
- "line4": "Address line 4",
- "line5": "Address line 5",
- "line6": "Address line 6",
- "postcode": "Postcode",
- "country": "Country"
}, - "companyNames": [
- "Company Names"
], - "disqualificationReason": {
- "act": "Act example",
- "article": "Article example",
- "descriptionIdentifier": "Description identifier example",
- "section": "Section example"
}, - "disqualificationType": "Disqualification type example",
- "startDate": "01/01/2020",
- "endDate": "01/01/2021"
}
]
}
], - "alerts": [
- {
- "crid": "1209",
- "message": "Alert message.",
- "type": "Alert Type",
- "score": 100,
- "category": "Alert Category"
}
]
}
}
]Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
required | object (drivingLicencePerson) The person getting the DrivingLicence check. |
| drivingLicenceNumber | string The person's driving licence number. |
object (metaData) |
Responses
Request samples
- Payload
{- "person": {
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Doe",
- "dateOfBirth": "1980-01-01",
- "gender": "f"
}, - "drivingLicenceNumber": "DOE99851010JLB94",
- "metaData": {
- "yourReference": "68e03bf8-7e71-4ac5-b860-64d998d65c93",
- "demoMode": false,
- "sandboxMode": false,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "12345678-1234-1234-1234-123456789012",
- "data": {
- "backgroundCheckUuid": "12345678-1234-1234-1234-123456789012"
}
}Results
Authorizations:
query Parameters
| backgroundCheckUuid required | string <uuid> The UUID of the driving licence check |
Responses
Response samples
- 200
- 400
[- {
- "created": "2026-05-07T08:10:39.4967104Z",
- "started": "2026-05-07T08:40:39.4967120Z",
- "completed": "2026-05-07T09:10:39.4967126Z",
- "status": "Completed",
- "yourReference": "YourReference",
- "data": {
- "driver": {
- "drivingLicenceNumber": "TCAEU610267NO9EK",
- "firstNames": "NPBPG OYOT",
- "lastName": "TCAEUCJ",
- "gender": "m",
- "dateOfBirth": "1967-10-26",
- "address": {
- "unstructuredAddress": {
- "line1": "78 A TEST DATA DO NOT DELIVER",
- "line5": "GREAT YARMOUTH",
- "postcode": "NR30 4BH"
}
}
}, - "licence": {
- "type": "Full",
- "status": "Valid"
}, - "entitlement": [
- {
- "categoryCode": "A",
- "categoryLegalLiteral": "A motorcycle of a power exceeding 35 kW or with a power to weight ratio exceeding 0.2kW per kg, or A motorcycle of a power not exceeding 35 kW with a power to weight ratio not exceeding 0.2 kW per kg and derived from a vehicle of more than double its power. A motor tricycle with a power exceeding 15 kW",
- "categoryType": "Full",
- "fromDate": "2013-01-19",
- "expiryDate": "2037-10-25",
- "restrictions": [
- {
- "restrictionCode": "79(03)",
- "restrictionLiteral": "Restricted to tricycles"
}
]
}
], - "endorsements": [
- {
- "offenceCode": "SP30",
- "offenceLegalLiteral": "Exceeding statutory speed limit on a public road",
- "offenceDate": "2018-04-28",
- "penaltyPoints": 3
}
], - "token": {
- "validFromDate": "1999-04-11",
- "validToDate": "2037-10-25",
- "issueNumber": "69"
}
}
}
]Get Document Types
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| route | integer <int32> |
| excludePassport | boolean |
| excludeDrivingLicence | boolean |
Responses
Request samples
- Payload
{- "route": 1,
- "excludePassport": false,
- "excludeDrivingLicence": false
}Response samples
- 200
- 400
{- "numberOfDocumentsRequired": 2,
- "nextRoute": 2,
- "documents": {
- "1": [
- {
- "groupName": "Group 1",
- "documents": [
- {
- "slug": "dbs-passport",
- "name": "Passport",
- "notes": "Must be current and valid."
}, - {
- "slug": "dbs-driving-licence",
- "name": "Driving Licence Photocard",
- "notes": "Can be either Full or Provisional. Must be from UK, Isle of Man or Channel Island."
}
]
}
], - "2": [
- {
- "groupName": "Group 2a",
- "documents": [
- {
- "slug": "dbs-driving-licence-none-uk",
- "name": "Current Driving Licence - Non UK",
- "notes": "Can be Full or Provisional. All countries outside the UK (exc. Isle of Man and Channel Islands)."
}, - {
- "slug": "dbs-birth-certificate",
- "name": "Group 2a: Birth Certificate (issued after time of birth)",
- "notes": "Must be from UK, Isle of Man and Channel Islands."
}
]
}, - {
- "groupName": "Group 2b",
- "documents": [
- {
- "slug": "dbs-mortgage-statement",
- "name": "Group 2b: Mortgage Statement - Issued in the last 12 months",
- "notes": "Must be from the UK."
}, - {
- "slug": "dbs-credit-card-statement",
- "name": "Credit Card Statement - Issued in the last 3 months\r\n",
- "notes": "Must be from UK. Must be issued within last 3 months."
}
]
}
]
}
}Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| disclosureType | string The level of disclosure check to perform |
object (dsBasicScotlandCandidate) The candidate on which to perform the check. | |
Array of objects (disclosureAddress) The addresses to check against. | |
object (disclosureBirthDetails) The required details of the candidate's birth. | |
object (disclosurePassport) The optional passport details of the candidate. | |
object (disclosureDrivingLicence) The optional driving licence details of the candidate. | |
Array of objects (disclosureIdentityDocument) The optional identity document selections of the candidate. | |
Array of objects (disclosureOtherName) The other names of the candidate if required. | |
| hasReadPrivacyPolicy | boolean Indicates that the candidate has read all necessary privacy policies. |
| hasSeenStatementOfFairProcessing | boolean Indicates that the candidate has seen the statement of fair processing. |
| consentToObtainResult | boolean Indicates that the candidate has consented to obtain the result. |
| candidateDeclarationHasUnspentConvictions required | boolean The candidate's declaration as to whether they have unspent convictions. |
| paperCertToCandidate required | boolean Indicates whether the paper certificate should be sent to the candidate. |
object (paperCertificateRecipient) The details of the paper certificate recipient, if not the candidate. | |
| customerNameOnCert | boolean Indicates whether the customer name should be printed on the certificate. |
| idVerifyName | string The name of the person who has verified the candidate's ID docs. |
object (dsBasicScotlandSectionX) Indicates the Section X information for this position. | |
| purposeOfCheck | string The purpose of the check. Default = 'Employment' |
| dsOrganisationId | integer <int32> The ID of the DS organisation to perform the check. |
object (metaData) |
Responses
Request samples
- Payload
{- "disclosureType": "DS Basic Scotland",
- "candidate": {
- "mothersMaidenName": "Smith",
- "title": "Mrs",
- "middleName": "Louise",
- "contactNumber": "01234567890",
- "gender": "F",
- "nationality": "GB",
- "dateOfBirth": "1985-05-20",
- "firstName": "Jane",
- "lastName": "Doe",
- "email": "jane.doe@example.com"
}, - "addresses": [
- {
- "houseNumber": "1",
- "streetName": "High Street",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SW1A1AA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}
], - "birthDetails": {
- "country": "GB",
- "county": "Greater London",
- "town": "London",
- "nationality": "British"
}, - "passport": {
- "number": "123456789",
- "issueDate": "2010-01-01",
- "nationality": "British",
- "dateOfBirth": "1985-05-20",
- "expiryDate": "2030-01-01",
- "countryOfIssue": "GB"
}, - "drivingLicence": {
- "number": "DOE99855205JL8AD",
- "validFrom": "2020-01-01",
- "validTo": "2029-12-31",
- "dateOfBirth": "1985-05-20",
- "countryOfIssue": "GB"
}, - "identityDocuments": [
- {
- "documentType": "dbs-passport"
}
], - "otherNames": [
- {
- "firstName": "Jane",
- "middleName": "Louise",
- "lastName": "Franks",
- "fromDate": "1985-05-20",
- "toDate": "2020-01-01"
}
], - "hasReadPrivacyPolicy": true,
- "hasSeenStatementOfFairProcessing": true,
- "consentToObtainResult": true,
- "candidateDeclarationHasUnspentConvictions": false,
- "paperCertToCandidate": false,
- "paperCertRecipient": {
- "name": "John Doe",
- "line1": "123 Fake Street",
- "postTown": "Faketown",
- "postCode": "SW1A1AA",
- "country": "GB"
}, - "customerNameOnCert": true,
- "idVerifyName": "John Doe",
- "sectionX": {
- "candidatePosition": "Nurse"
}, - "purposeOfCheck": "employment",
- "dsOrganisationId": 894,
- "metaData": {
- "yourReference": "f037182b-e8ad-408f-bc02-797316e68db8",
- "demoMode": false,
- "sandboxMode": false,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "data": {
- "backgroundCheckUuid": "6cf13c86-c48e-4f9d-8e4d-11c689199177",
- "detail": "DS Basic Scotland Disclosure check initiated successfully"
}
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The Check UUID for the disclosure services results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the disclosure services results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 1,
- "status": "Completed",
- "created": "2026-05-07T09:10:39.5086228Z",
- "completed": "2026-05-07T09:10:39.5086382Z",
- "data": {
- "dsApplicationId": "123456",
- "results": {
- "status": "clear",
- "agencyReference": "123456",
- "certificateNumber": "123456",
- "issueDate": "2026-05-07T09:10:39.5087372Z"
}
}
}
]Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
object (employmentReferenceCandidate) | |
Array of objects (employmentReferenceReference) | |
object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "firstName": "John",
- "lastName": "Doe",
- "email": "john.doe@example.com"
}, - "employmentReferences": [
- {
- "organisationName": "Example Company",
- "position": "Example Position",
- "referee": {
- "name": "John Doe",
- "email": "example@email.com",
- "position": "Example Position",
- "doNotContact": false,
- "organisation": "Example Company"
}, - "fromDate": "2016-05-07",
- "toDate": "2024-05-07",
- "isCurrent": false
}
], - "metaData": {
- "yourReference": "7210b016-3a07-4fc7-9a89-cc2195070937",
- "demoMode": false,
- "sandboxMode": false,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "data": {
- "backgroundCheckUuid": "2f3d43a2-71ac-4271-ae19-2b3bf9685a82",
- "detail": "Rapid Employment Verification has been initiated."
}
}Create
Authorizations:
query Parameters
| backgroundCheckUuid required | string <uuid> The Background Check UUID for the identity check results |
Responses
Response samples
- 200
- 400
{- "references": [
- {
- "status": "string",
- "startDate": "string",
- "endDate": "string",
- "organisation": "string",
- "department": "string",
- "position": "string",
- "correctedStartDate": "string",
- "correctedEndDate": "string",
- "correctedPosition": "string",
- "reasonForGap": "string",
- "referees": [
- {
- "name": "string",
- "email": "string",
- "contactNumber": "string",
- "faxNumber": "string",
- "organisation": "string",
- "department": "string",
- "position": "string",
- "doNotContact": true,
- "referenceRequest": {
- "uuid": "string",
- "sent": "2019-08-24T14:15:22Z",
- "status": "string",
- "referenceResponse": {
- "received": "2019-08-24T14:15:22Z",
- "acknowledgementAgreed": "string",
- "questions": [
- {
- "text": "string",
- "answer": "string"
}
], - "choices": [
- {
- "question": "string",
- "answer": "string"
}
], - "ratings": [
- {
- "area": "string",
- "score": "string"
}
]
}
}, - "postalAddress": "string",
- "status": "string",
- "doNotContactReason": "string",
- "validated": "2019-08-24T14:15:22Z",
- "validationStatus": "string",
- "validationNotes": "string"
}
], - "referenceType": "string",
- "rejectedReason": "string",
- "responseTime": "string",
- "userDecision": "string",
- "uuid": "string",
- "attachments": [
- {
- "createdAt": "2019-08-24T14:15:22Z",
- "fileName": "string",
- "description": "string",
- "url": "string",
- "fileType": "string"
}
]
}
]
}Lookup addresses by postcode
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| postCode required | string <= 10 characters The postcode to lookup addresses for. |
object (metaData) |
Responses
Request samples
- Payload
{- "postCode": "SE9 3PA",
- "metaData": {
- "yourReference": "c98949d6-6d85-414c-8537-b33af821b80b",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "totalResults": "2",
- "addresses": [
- {
- "addressId": "1234567890",
- "houseNumber": "1",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}, - {
- "addressId": "0987654321",
- "houseNumber": "2",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}
]
}Match Address
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
object (matchAddressRequestAddress) | |
object (metaData) |
Responses
Request samples
- Payload
{- "address": {
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "district": "Eltham",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE9 3PA"
}, - "metaData": {
- "yourReference": "ddaba501-2920-4c3b-9956-daef41cbcaf5",
- "demoMode": false,
- "sandboxMode": false
}
}Response samples
- 200
- 400
{- "matchStatus": "UniqueMatch",
- "addresses": [
- {
- "addressId": "1234567890",
- "houseNumber": "1",
- "streetName": "High St",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postcode": "SW1A 1AA"
}
]
}Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (equifaxCandidate) |
required | object (equifaxCandidateAddress) |
required | object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mr",
- "firstName": "John",
- "middleName": "",
- "lastName": "Doe",
- "dateOfBirth": "1985-05-20",
- "email": "john.doe@example.com",
- "gender": "m"
}, - "currentAddress": {
- "addressId": "98001186436",
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "district": "Eltham",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE93PA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}, - "metaData": {
- "yourReference": "857affe0-ff76-419f-bbf5-9f2b8cc640ce",
- "demoMode": false,
- "sandboxMode": false
}
}Response samples
- 200
- 400
{- "uuid": "00000000-0000-0000-0000-000000000000",
- "data": {
- "backgroundCheckUuid": "00000000-0000-0000-0000-000000000000"
}
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID for the identity check results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the identity check results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 0,
- "started": "2026-05-07T09:10:39.4239981Z",
- "completed": "2026-05-07T09:15:39.4239987Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "customerName": "Example Customer",
- "data": {
- "clientRef": "dac2ba3b-2212-4d71-a5f7-2953409fdbc9",
- "candidateInformation": {
- "firstName": "John",
- "middleName": "James",
- "lastName": "Doe",
- "dateOfBirth": "2008-05-07",
- "addresses": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "toDate": "Current",
- "fromDate": "2018-05-07"
}
], - "note": "Note"
}, - "stats": {
- "proofsOfResidencyCount": "2",
- "proofsOfIdentityCount": "3",
- "alertsCount": "1"
}, - "identityInformation": {
- "electoralRollAndRollingRegisterCheck": "1",
- "currentlyOnElectoralRoll": "2",
- "nameMatchedAtAddressOnElectoralRegister": "Non-deleted subject level Rolling Register information found",
- "electoralRollAndRollingRegisterDateOfBirthCheck": "No",
- "yearsSincePersonsElectoralRollEntry": "4",
- "lengthOfResidenceCurrentAddress": "None found"
}, - "electoralRollHistory": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "name": "John James Doe",
- "annualRegisterPeriodStart": 2021,
- "annualRegisterPeriodEnd": 2024
}
], - "rollingRegisterInformation": [
- {
- "address": "19, HIGH POINT, ELTHAM, LONDON, SE9 3PA",
- "name": "John James Smith",
- "supplyDate": "12-2025"
}
]
}
}
]Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
required | object (mrzDocumentScanCandidate) The candidate on which to perform the check. |
| documentContents required | string <= 27962026 characters The Documents to be MRZ Scanned |
object (metaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "firstName": "ANGELA ZOE",
- "lastName": "UK SPECIMEN",
- "email": "angela.zoe.specimen@example.com"
}, - "documentContents": "ZXhhbXBsZSBjb250ZW50",
- "metaData": {
- "yourReference": "219d6c20-f552-42d1-9716-e7f532a7f310",
- "demoMode": false,
- "sandboxMode": false,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "00000000-0000-0000-0000-000000000000",
- "data": {
- "backgroundCheckUuid": "00000000-0000-0000-0000-000000000000"
}
}Results
Authorizations:
query Parameters
| uuid required | string <uuid> The Check UUID for the mrz document scan check results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 1,
- "created": "2026-05-07T09:10:39.0396403Z",
- "completed": "2026-05-07T09:10:39.0396406Z",
- "status": "Completed",
- "data": {
- "mrzCoreScanDetails": {
- "initiatedDate": "2026-05-07T09:10:39.0397206Z",
- "firstName": "John",
- "lastName": "Doe",
- "birthDate": "1980-01-01",
- "gender": "M",
- "nationalityCode": "GB",
- "expiryDate": "2025-01-01",
- "nationalityName": "United Kingdom",
- "documentType": "Passport",
- "documentNumber": "123456789",
- "country": "GB",
- "electronicDecision": "PASSED",
- "documentBacksideCheck": "PASSED",
- "documentBlockingPolicyCheck": "PASSED",
- "documentExpiryCheck": "PASSED",
- "documentSupportCheck": "PASSED",
- "documentValidationCheck": "PASSED",
- "mrzLine": "123456789"
}, - "mrzExtraScanDetails": {
- "issueDate": "2015-01-01",
- "issuingAuthority": "IssuingAuthority"
}
}
}
]Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (konfirCandidate) |
required | object (konfirCandidateAddress) |
required | Array of objects (konfirEmploymentReference) |
Array of objects (konfirAcademicReference) | |
Array of objects (konfirGapReference) | |
required | object (konfirMetaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "title": "Mr",
- "firstName": "John",
- "middleName": "James",
- "lastName": "Doe",
- "email": "john.doe@example.com",
- "contactNumber": "07911123456",
- "dateOfBirth": "1996-05-07",
- "niNumber": "AB123456C"
}, - "currentAddress": {
- "houseNumber": "19",
- "houseName": "The Test House",
- "streetName": "High Point",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE9 3PA",
- "fromDate": "2021-05-07",
- "isCurrent": true
}, - "employmentReferences": [
- {
- "fromDate": "2023-05-07",
- "toDate": "2025-05-07",
- "isCurrent": false,
- "organisationName": "Test X Ltd",
- "organisationId": "c060a6dd-a309-44bd-9ba0-8d57390c199a",
- "position": "Software Developer",
- "referee": {
- "name": "Jane Doe",
- "email": "jane.doe@example.com",
- "contactNumber": "01611112222",
- "organisation": "Test X Ltd",
- "department": "Human Resources",
- "position": "HR Manager",
- "postalAddress": "123 Example St, City, Country",
- "doNotContact": true,
- "doNotContactReason": "I don't want them contacted."
}
}
], - "academicReferences": [
- {
- "fromDate": "2021-05-07",
- "toDate": "2023-05-07",
- "isCurrent": false,
- "organisation": "Test University",
- "department": "Computer Science",
- "courseStudied": "Bachelor of Science in Computer Science",
- "gradeAchieved": "First Class Honours",
- "referee": {
- "name": "Jane Doe",
- "email": "jane.doe@example.com",
- "contactNumber": "01612223333",
- "organisation": "Example University",
- "department": "Admissions and Alumni",
- "position": "Head of Admissions and Alumni",
- "postalAddress": "123 Example St, City, Country"
}
}
], - "gapReferences": [
- {
- "fromDate": "2025-05-07",
- "isCurrent": true,
- "reasonForGap": "Travel",
- "additionalInformation": "Spent time volunteering in another country."
}
], - "metaData": {
- "yourReference": "7705aa96-5cd6-4c9b-8699-3d72f0c0148d",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "881917e9-f553-4ed3-9880-d97dc314d7bf",
- "data": {
- "backgroundCheckUuid": "881917e9-f553-4ed3-9880-d97dc314d7bf",
- "detail": "Rapid Employment Verification Check created successfully."
}
}Search for employers
Authorizations:
query Parameters
| name required | string The name or partial name of the employer to search for |
| size | integer <int32> The maximum number of results to return (default: 10, max: 20) |
Responses
Response samples
- 200
- 400
{- "employers": [
- {
- "id": "12345",
- "name": "Microsoft Corporation"
}
]
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID for the rapid employment verification results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the rapid employment verification results |
Responses
Response samples
- 200
- 400
{- "checkId": 1,
- "created": "2026-05-07T09:10:39.3963064Z",
- "completed": "2026-05-07T09:10:39.3963067Z",
- "status": "Completed",
- "data": {
- "uuid": "7ee0265f-34d2-4f4d-a4dd-4a26c0cbf5c0",
- "status": "completed",
- "timelineStatus": "verified",
- "applicantId": 1,
- "applicantName": "Joe Frazier",
- "applicantEmail": "joe@frazier.com",
- "expiresAt": "2026-05-21T09:10:39.3963097Z",
- "archivedAt": "2026-06-04T09:10:39.3963102Z",
- "activities": [
- {
- "activityType": "employment",
- "employerName": "Employer Name",
- "startDate": "2026-05-06",
- "endDate": "2026-05-07",
- "declareStatus": "Declared",
- "verifiedStatus": "verified",
- "isDeclared": true,
- "isConnected": true,
- "sources": [
- {
- "providerId": "hmrc",
- "providerName": "UK HMRC Records"
}
]
}
], - "report": {
- "createdAt": "2026-05-07T09:10:39.3963123Z",
}
}
}Create
Authorizations:
header Parameters
| X-Check-Version | string Enum: "current" "next" Optional Check Version (Default: current) |
Request Body schema: application/jsonrequired
The Request Body
required | object (northRowPerson) |
required | object (northRowAddress) |
required | object (sanctionsMetaData) |
Responses
Request samples
- Payload
{- "candidate": {
- "firstName": "John",
- "lastName": "Doe",
- "email": "john.doe@example.com",
- "title": "Mr",
- "dateOfBirth": "1980-01-01",
- "gender": "m"
}, - "currentAddress": {
- "houseNumber": "19",
- "streetName": "High Point",
- "city": "London",
- "county": "Greater London",
- "country": "GB",
- "postCode": "SE9 3PA",
- "fromDate": "2010-01-01",
- "isCurrent": true
}, - "metaData": {
- "profileMatchPercent": "85",
- "yourReference": "e3a0ffbd-9674-432a-a840-3b555691b823",
- "demoMode": true,
- "sandboxMode": true,
- "customerName": "Example Customer"
}
}Response samples
- 200
- 400
{- "uuid": "00000000-0000-0000-0000-000000000000",
- "data": {
- "backgroundCheckUuid": "00000000-0000-0000-0000-000000000000"
}
}Results
Authorizations:
query Parameters
| uuid | string <uuid> The UUID for the sanctions check results |
| backgroundCheckUuid | string <uuid> Deprecated: Use 'uuid' instead. The Background Check UUID for the sanctions check results |
Responses
Response samples
- 200
- 400
[- {
- "checkId": 1,
- "created": "2026-05-07T09:10:38.9542617Z",
- "status": "Pending",
- "yourReference": "ABC123",
- "data": {
- "ragScore": {
- "rag": "Green",
- "score": 85
}, - "alerts": [
- {
- "message": "Alert message 1",
- "type": "Type1",
- "score": 90,
- "category": "Category1"
}, - {
- "message": "Alert message 2",
- "type": "Type2",
- "score": 75,
- "category": "Category2"
}
], - "pepAndSanctions": [
- {
- "firstName": "John",
- "middleName": "William",
- "lastName": "Doe",
- "gender": "Male",
- "nationality": "American",
- "dob": "1980-01-01",
- "deceased": false,
- "dateOfDeath": "",
- "insolvent": false,
- "lawEnforcement": false,
- "pep": false,
- "pepLevelDetail": [
- {
- "level": "Level 1",
- "description": "Senior official",
- "subContentType": [
- {
- "level": "Sub-Level A",
- "description": "Head of State"
}, - {
- "level": "Sub-Level B",
- "description": "Minister of Finance"
}
]
}
], - "aliases": [
- {
- "firstName": "John",
- "middleName": "J.",
- "lastName": "Doe"
}
], - "articles": [
- {
- "dateCollected": "2025-01-01T00:00:00Z",
- "categories": [
- "News"
], - "snippet": {
- "title": "Investigative Report",
- "summary": "An investigation revealed...",
- "keywordsMatched": [
- "Investigation",
- "Finance"
]
}
}
], - "sanctions": [
- {
- "sanctionType": "OFAC",
- "isCurrent": true
}
], - "notes": [
- {
- "dataSource": "OFAC",
- "text": "On sanctions list",
- "snippet": [
- {
- "title": "OFAC Sanctions Entry",
- "summary": "Individual listed due to financial crime allegations.",
- "keywordsMatched": [
- "OFAC",
- "Sanctions",
- "Financial Crime"
]
}
]
}
], - "linkedBusinesses": [
- {
- "businessName": "Doe Inc",
- "position": "Owner"
}
], - "linkedPeople": [
- {
- "name": "Jane Doe",
- "association": "Spouse"
}
], - "politicalRoles": [
- {
- "role": "Mayor",
- "country": "USA",
- "dateFrom": "2015-01-01",
- "dateTo": "2020-01-01"
}
]
}
]
}
}
]Response samples
- 200
- 400
[- {
- "id": 123,
- "headers": {
- "key": "value"
}, - "enabled": true,
- "eventTypes": [
- "CheckCompletedEvent"
]
}
]Create
Authorizations:
Request Body schema: application/jsonrequired
The Request Body
| url required | string |
object | |
| enabled | boolean or null |
| eventTypes | Array of strings |
Responses
Request samples
- Payload
{- "headers": {
- "X-example": "Example"
}, - "enabled": true,
- "eventTypes": [
- "CheckCompletedEvent"
]
}Response samples
- 200
- 400
{- "id": 0
}